#! /bin/sh
# Build and check the current program on all local machines
# in parallel, doing the builds in copies of the distribution
# directory.
#
# Usage:
#	./do-parallel-builds.sh [PROGRAM]
#
# [17-Aug-1998] -- Set new TMPDIR value
# [08-Jul-1998] -- Add command-line PROGRAM option
# [06-Jul-1998] -- update REMOTEHOSTLIST
# [01-Jun-1998]

SRCDIR=$PWD

DIRNAME=`basename $SRCDIR`

TMPDIR=/usr/tmp
TMPDIR=/local/build

REMOTEHOSTLIST="
alfred.math.utah.edu
bsi.math.utah.edu
eve.math.utah.edu
golan.math.utah.edu
jabberwocky.math.utah.edu
oquirrh.math.utah.edu
reddwarf.math.utah.edu
saetta.math.utah.edu
sundown.math.utah.edu
todd.math.utah.edu
zuni.math.utah.edu
bottom.physics.utah.edu
einstein.physics.utah.edu
top.physics.utah.edu
"

cd ..
for host in $REMOTEHOSTLIST
do
	rsh -n $host "/bin/rm -rf $TMPDIR/$DIRNAME"
	tar cf - $DIRNAME | \
		 rsh $host "(chdir $TMPDIR; tar xf - ; chdir $TMPDIR/$DIRNAME; ./build-on-one-machine.sh $1)" >/tmp/$DIRNAME.$host.log 2>&1 &
#
#	Leave remote directories in place for further manual inspection
#	rsh -n $host "/bin/rm -rf $TMPDIR/$DIRNAME"
#
done

